Announcement

Collapse
No announcement yet.

[Notice] Unsupported Android OS Versions

Collapse
This is a sticky topic.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Notice] Unsupported Android OS Versions

    Greetings Soul Seekers!


    We'd like to inform you that Soul Seeker no longer supports Android OS v4.1 or below since the maintenance on Dec. 31st, 2017.


    Please go to [Settings> Device Info] to check your device version and proceed with the version update if your device is Android OS v4.1 or below.


    We apologize for the inconvenience this may have caused and thank you for your understanding!

  • #2
    You are aware that for many android devices, the OS Version is set by the service provider and not the end user.

    Comment


    • #3
      You mention 4.1 and below but my android version is 5.0 and the game is not supported after i try to reinstall it

      Comment

      Working...
      X